import { SimpleLocalIntegration } from '../../core/index.js';
import { WemoConfigFlow } from './wemo.classes.configflow.js';
import { createWemoDiscoveryDescriptor } from './wemo.discovery.js';
import type { IWemoConfig } from './wemo.types.js';
import { wemoDomain, wemoProfile } from './wemo.types.js';

export class WemoIntegration extends SimpleLocalIntegration<IWemoConfig> {
  public readonly domain = wemoDomain;
  public readonly discoveryDescriptor = createWemoDiscoveryDescriptor();
  public readonly configFlow = new WemoConfigFlow();

  constructor() {
    super(wemoProfile);
  }
}

export class HomeAssistantWemoIntegration extends WemoIntegration {}
